## robocode
Class SkippedTurnEvent

    java.lang.Object
      robocode.Event
          robocode.SkippedTurnEvent

All Implemented Interfaces:
  Comparable

public class SkippedTurnEvent
extends Event

A SkippedTurnEvent is sent to `AdvancedRobot.onSkippedTurn(robocode.SkippedTurnEvent)` when skipping a turn. You must take an action every turn in order to participate in the game. For example,

       try {Thread.sleep(1000);} catch (InterruptedException e) {}

will cause many SkippedTurnEvents, because you are not responding to the game. If you receive 30 SkippedTurnEvents, you will be removed from the round. Instead, you should do something such as:

     for (int i = 0; i < 30; i++)
       doNothing(); // or perhaps scan();

This event may also be generated if your are simply doing too much processing between actions.

See Also:
  `AdvancedRobot.onSkippedTurn(robocode.SkippedTurnEvent)`

Constructor Summary
`SkippedTurnEvent()` Called by the game to create a new SkippedTurnEvent.

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkippedTurnEvent

    public SkippedTurnEvent()

  Called by the game to create a new SkippedTurnEvent.